Usage Dashboards
Configure different aspects of Databricks billing and usage.
Create Billing Usage Dashboard GA
POST
Create a usage dashboard specified by workspaceId, accountId, and dashboard type.
API scopes: billing
Parameters
- account_idstringpath
<Databricks> account ID.
AWS<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.
Request body
- workspace_idint64
The workspace ID of the workspace in which the usage dashboard is created.
- dashboard_typestring
Workspace level usage dashboard shows usage data for the specified workspace ID. Global level usage dashboard shows usage data for all workspaces in the account.
- major_versionstring
The major version of the usage dashboard template to use. Defaults to VERSION_1.
Response
- dashboard_idstring
The unique id of the usage dashboard.
Get Billing Usage Dashboard GA
GET
Get a usage dashboard specified by workspaceId, accountId, and dashboard type.
API scopes: billing
Parameters
- account_idstringpath
<Databricks> account ID.
AWS<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.
- workspace_idint64query
The workspace ID of the workspace in which the usage dashboard is created.
- dashboard_typestringquery
Workspace level usage dashboard shows usage data for the specified workspace ID. Global level usage dashboard shows usage data for all workspaces in the account.
Response
- dashboard_idstring
The unique id of the usage dashboard.
- dashboard_urlstring
The URL of the usage dashboard.